<template>
  <Charts :width="width" :height="height" :echarts-options="options" :loading="loading"></Charts>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import Charts from '../../../Charts.vue';
import { componentProps } from "./props";
import { useChartOptions } from "../../../hooks/useChartOptions";

export default defineComponent({
  name: "DBasicPie",
  components: { Charts },
  props: componentProps,
  setup( props ) {
    const { options, loading } = useChartOptions(props);
    return {
      options,
      loading
    }
  }
})
</script>

<style scoped></style>
